gpulib: forgot to mark fb dirty
[pcsx_rearmed.git] / configure
CommitLineData
4132e8ca 1#!/bin/sh
2# some elements originated from qemu configure
3set -e
4
5TMPC="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.c"
6TMPO="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.o"
07c13dfd 7TMPB="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}"
8trap "rm -f $TMPC $TMPO $TMPB" EXIT INT QUIT TERM
4132e8ca 9rm -f config.log
10
11compile_object()
12{
07c13dfd 13 c="$CC $CFLAGS -c $TMPC -o $TMPO $@"
14 echo $c >> config.log
15 $c >> config.log 2>&1
16}
17
18compile_binary()
19{
20 c="$CC $CFLAGS $TMPC -o $TMPB $LDFLAGS $MAIN_LDLIBS $@"
4132e8ca 21 echo $c >> config.log
22 $c >> config.log 2>&1
23}
24
25check_define()
26{
cc376814 27 $CC -E -dD $CFLAGS include/arm_features.h | grep -q "$1" || return 1
28 return 0
29}
30
31check_define_val()
32{
33 $CC -E -dD $CFLAGS include/arm_features.h | grep "$1" | awk '{print $3}'
4132e8ca 34 return 0
35}
36
37# setting options to "yes" or "no" will make that choice default,
38# "" means "autodetect".
39
38c2028e 40platform_list="generic pandora maemo caanoo libretro"
4132e8ca 41platform="generic"
61bc6d40 42builtin_gpu_list="peops unai neon"
43builtin_gpu=""
b68bf5c2 44sound_driver_list="oss alsa pulseaudio sdl libretro"
07c13dfd 45sound_drivers=""
dd4d5a35 46plugins="plugins/spunull/spunull.so \
47plugins/dfxvideo/gpu_peops.so plugins/gpu_unai/gpu_unai.so"
4132e8ca 48drc_cache_base="no"
00a212aa 49have_armv5=""
4132e8ca 50have_armv6=""
51have_armv7=""
52have_arm_neon=""
047899a4 53have_arm_neon_asm=""
4132e8ca 54have_tslib=""
5b9aa749 55have_gles=""
5514a050 56have_c64x_dsp=""
4132e8ca 57enable_dynarec="yes"
f89fa2d9 58need_sdl="no"
955f9af0 59need_xlib="no"
cc56203b 60need_libpicofe="yes"
61need_warm="no"
5b9aa749 62CFLAGS_GLES=""
63LDLIBS_GLES=""
4132e8ca 64# these are for known platforms
65optimize_cortexa8="no"
66optimize_arm926ej="no"
67
68# hardcoded stuff
69CC="${CC-${CROSS_COMPILE}gcc}"
ac6575cd 70CXX="${CXX-${CROSS_COMPILE}g++}"
4132e8ca 71AS="${AS-${CROSS_COMPILE}as}"
72AR="${AS-${CROSS_COMPILE}ar}"
9aff1963 73MAIN_LDLIBS="$LDLIBS -ldl -lm -lpthread"
4132e8ca 74config_mak="config.mak"
75
07c13dfd 76fail()
77{
78 echo "$@"
630b122b 79 if test -n "$DUMP_CONFIG_LOG"; then cat config.log; fi
07c13dfd 80 exit 1
81}
82
4132e8ca 83# call during arg parsing, so that cmd line can override platform defaults
84set_platform()
85{
86 platform=$1
87 case "$platform" in
88 generic)
89 ;;
90 pandora)
07c13dfd 91 sound_drivers="oss alsa"
4132e8ca 92 drc_cache_base="yes"
93 optimize_cortexa8="yes"
94 have_arm_neon="yes"
955f9af0 95 need_xlib="yes"
4132e8ca 96 ;;
97 maemo)
4132e8ca 98 drc_cache_base="yes"
99 optimize_cortexa8="yes"
100 have_arm_neon="yes"
101 ;;
102 caanoo)
07c13dfd 103 sound_drivers="oss"
4132e8ca 104 drc_cache_base="yes"
105 optimize_arm926ej="yes"
cc56203b 106 need_warm="yes"
4132e8ca 107 ;;
38c2028e 108 libretro)
07c13dfd 109 sound_drivers="libretro"
cc56203b 110 need_libpicofe="no"
38c2028e 111 ;;
4132e8ca 112 *)
07c13dfd 113 fail "unsupported platform: $platform"
4132e8ca 114 ;;
115 esac
116}
117
118for opt do
119 optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'` || true
120 case "$opt" in
121 --help|-h) show_help="yes"
122 ;;
123 --platform=*) set_platform "$optarg"
124 ;;
61bc6d40 125 --gpu=*) builtin_gpu="$optarg"
126 ;;
07c13dfd 127 --sound-drivers=*) sound_drivers="$optarg"
4132e8ca 128 ;;
129 --enable-neon) have_arm_neon="yes"
130 ;;
131 --disable-neon) have_arm_neon="no"
132 ;;
133 --disable-dynarec) enable_dynarec="no"
134 ;;
135 *) echo "ERROR: unknown option $opt"; show_help="yes"
136 ;;
137 esac
138done
139
140if [ "$show_help" = "yes" ]; then
141 echo "options:"
142 echo " --help print this message"
143 echo " --platform=NAME target platform [$platform]"
144 echo " available: $platform_list"
61bc6d40 145 echo " --gpu=NAME builtin gpu plugin [guessed]"
146 echo " available: $builtin_gpu_list"
07c13dfd 147 echo " --sound-drivers=LIST sound output drivers [guessed]"
4132e8ca 148 echo " available: $sound_driver_list"
149 echo " --enable-neon"
150 echo " --disable-neon enable/disable ARM NEON optimizations [guessed]"
151 echo " --disable-dynarec disable dynamic recompiler"
152 echo " (dynarec is only available and enabled on ARM)"
153 echo "influential environment variables:"
ac6575cd 154 echo " CROSS_COMPILE CC CXX AS AR CFLAGS ASFLAGS LDFLAGS LDLIBS"
4132e8ca 155 exit 1
156fi
157
07c13dfd 158# validate selections
61bc6d40 159if [ "x$builtin_gpu" != "x" ]; then
07c13dfd 160 if ! echo $builtin_gpu_list | grep -q "\<$builtin_gpu\>"; then
161 fail "unsupported builtin gpu plugin: $builtin_gpu"
162 fi
61bc6d40 163fi
164
07c13dfd 165if [ "x$sound_drivers" != "x" ]; then
166 for d in $sound_drivers; do
167 if ! echo $sound_driver_list | grep -q "\<$d\>"; then
168 fail "unsupported sound driver: $sound_driver"
169 fi
170 done
171fi
4132e8ca 172
cc56203b 173if [ "$need_libpicofe" = "yes" ]; then
174 if ! test -f "frontend/libpicofe/README"; then
175 fail "libpicofe is missing, please run 'git submodule init && git submodule update'"
176 fi
177fi
178
179if [ "$need_warm" = "yes" ]; then
180 if ! test -f "frontend/warm/README"; then
181 fail "wARM is missing, please run 'git submodule init && git submodule update'"
182 fi
183fi
184
00a212aa 185# basic compiler test
186cat > $TMPC <<EOF
187#include <zlib.h>
188int main(void) { return 0; }
189EOF
190if ! compile_binary; then
0dc1b4a9 191 fail "compiler test failed, please check config.log"
00a212aa 192fi
193
4132e8ca 194if [ -z "$ARCH" ]; then
0dc1b4a9 195 ARCH=`$CC -dumpmachine | awk -F '-' '{print $1}'`
4132e8ca 196fi
197
0dc1b4a9 198case "$ARCH" in
199arm*)
200 # ARM stuff
201 ARCH="arm"
202
4132e8ca 203 if [ "$optimize_cortexa8" = "yes" ]; then
4132e8ca 204 CFLAGS="$CFLAGS -mcpu=cortex-a8 -mtune=cortex-a8"
205 ASFLAGS="$ASFLAGS -mcpu=cortex-a8"
206 fi
207 if [ "$optimize_arm926ej" = "yes" ]; then
208 CFLAGS="$CFLAGS -mcpu=arm926ej-s -mtune=arm926ej-s"
209 ASFLAGS="$ASFLAGS -mcpu=arm926ej-s -mfloat-abi=softfp"
210 fi
211
212 if [ "x$have_arm_neon" = "x" ]; then
047899a4 213 # detect NEON from user-supplied cflags to enable neon code
4132e8ca 214 have_arm_neon=`check_define __ARM_NEON__ && echo yes` || true
215 fi
4132e8ca 216 if [ "x$have_armv7" = "x" ]; then
00a212aa 217 if check_define HAVE_ARMV7; then
4132e8ca 218 have_armv7="yes"
00a212aa 219 have_armv6="yes"
220 have_armv5="yes"
4132e8ca 221 fi
222 fi
00a212aa 223 if [ "x$have_armv6" = "x" ]; then
224 if check_define HAVE_ARMV6; then
225 have_armv6="yes"
226 have_armv5="yes"
227 fi
228 fi
229 if [ "x$have_armv5" = "x" ]; then
230 have_armv5=`check_define HAVE_ARMV5 && echo yes` || true
231 fi
4132e8ca 232
61bc6d40 233 if [ "x$builtin_gpu" = "x" ]; then
234 if [ "$have_arm_neon" = "yes" ]; then
235 builtin_gpu="neon"
236 elif [ "$have_armv7" != "yes" ]; then
237 # pre-ARMv7 hardware is usually not fast enough for peops
238 builtin_gpu="unai"
239 else
240 builtin_gpu="peops"
241 fi
242 fi
243
e795af9e 244 # automatically set mfpu and mfloat-abi if they are not set
4132e8ca 245 if [ "$have_arm_neon" = "yes" ]; then
40cf6975 246 fpu="neon"
4132e8ca 247 elif [ "$have_armv6" = "yes" ]; then
40cf6975 248 fpu="vfp"
4132e8ca 249 fi
40cf6975 250 if [ "x$fpu" != "x" ]; then
251 echo "$CFLAGS" | grep -q -- '-mfpu=' || CFLAGS="$CFLAGS -mfpu=$fpu"
252 echo "$ASFLAGS" | grep -q -- '-mfpu=' || ASFLAGS="$ASFLAGS -mfpu=$fpu"
253 floatabi_set_by_gcc=`$CC -v 2>&1 | grep -q -- --with-float= && echo yes` || true
254 if [ "$floatabi_set_by_gcc" != "yes" ]; then
255 echo "$CFLAGS" | grep -q -- '-mfloat-abi=' || CFLAGS="$CFLAGS -mfloat-abi=softfp"
256 echo "$ASFLAGS" | grep -q -- '-mfloat-abi=' || ASFLAGS="$ASFLAGS -mfloat-abi=softfp"
257 fi
4132e8ca 258 fi
259
9f704290 260 # must disable thumb as recompiler can't handle it
96751f36 261 if check_define __thumb__; then
9f704290 262 CFLAGS="$CFLAGS -marm"
96751f36 263 fi
00a212aa 264
265 # warn about common mistakes
266 if [ "$have_armv5" != "yes" ]; then
267 if ! echo "$CFLAGS" | grep -q -- '-mcpu=\|-march='; then
268 echo "Warning: compiling for ARMv4, is that really what you want?"
269 echo "You probably should specify -mcpu= or -march= like this:"
270 echo " CFLAGS=-march=armv6 ./configure ..."
271 fi
272 fi
273 if [ "$have_arm_neon" = "yes" -a "$have_armv7" != "yes" ]; then
274 echo "Warning: compiling for NEON, but not ARMv7?"
275 echo "You probably want to specify -mcpu= or -march= like this:"
276 echo " CFLAGS=-march=armv7-a ./configure ..."
277 fi
047899a4 278 have_arm_neon_asm=$have_arm_neon
0dc1b4a9 279 ;;
630b122b 280aarch64)
047899a4 281 have_arm_neon="yes"
282 have_arm_neon_asm="no"
283 if [ "x$builtin_gpu" = "x" ]; then
284 builtin_gpu="neon"
285 fi
630b122b 286 ;;
e30d9e26 287x86_64)
288 enable_dynarec="no"
289 if [ "x$builtin_gpu" = "x" ]; then
290 builtin_gpu="neon"
291 fi
292 ;;
0dc1b4a9 293*)
630b122b 294 # dynarec only available on ARM
295 enable_dynarec="no"
0dc1b4a9 296 ;;
297esac
4132e8ca 298
61bc6d40 299if [ "x$builtin_gpu" = "x" ]; then
300 builtin_gpu="peops"
301fi
302
4132e8ca 303# supposedly we can avoid -fPIC on armv5 for slightly better performace?
304if [ "$ARCH" != "arm" -o "$have_armv6" = "yes" ]; then
305 PLUGIN_CFLAGS="$PLUGIN_CFLAGS -fPIC"
306fi
307
38c2028e 308case "$platform" in
309generic)
f89fa2d9 310 need_sdl="yes"
38c2028e 311 ;;
312maemo)
7010034e 313 CFLAGS="$CFLAGS -DMAEMO -DMAEMO_CHANGES"
38c2028e 314 ;;
315libretro)
316 CFLAGS="$CFLAGS -fPIC"
22fa3f2b 317 MAIN_LDFLAGS="$MAIN_LDFLAGS -shared -Wl,--no-undefined"
38c2028e 318 ;;
319esac
4132e8ca 320
07c13dfd 321# header/library presence tests
322check_zlib()
323{
324 cat > $TMPC <<EOF
325 #include <zlib.h>
791f6e3e 326 int main(void) { uncompress(0, 0, 0, 0); }
07c13dfd 327EOF
328 compile_binary
329}
330
07c13dfd 331check_libpng()
332{
333 cat > $TMPC <<EOF
334 #include <png.h>
335 void main() { png_init_io(0, 0); }
336EOF
337 compile_binary
338}
339
340check_oss()
341{
342 cat > $TMPC <<EOF
343 #include <sys/soundcard.h>
344 #include <sys/ioctl.h>
345 void main() { int a=0; ioctl(0, SNDCTL_DSP_SETFMT, &a); }
346EOF
347 compile_binary
348}
349
350check_alsa()
351{
352 cat > $TMPC <<EOF
353 #include <alsa/asoundlib.h>
354 void main() { snd_pcm_open(0, 0, 0, 0); }
355EOF
356 compile_binary "$@"
357}
358
b68bf5c2 359check_pulseaudio()
360{
361 cat > $TMPC <<EOF
362 #include <pulse/pulseaudio.h>
363 void main() { pa_threaded_mainloop_new(); }
364EOF
365 compile_binary "$@"
366}
367
07c13dfd 368check_sdl()
369{
370 cat > $TMPC <<EOF
371 #include <SDL.h>
372 void main() { SDL_OpenAudio(0, 0); }
373EOF
374 compile_binary "$@"
375}
376
955f9af0 377check_xlib_headers()
378{
379 cat > $TMPC <<EOF
380 #include <X11/Xlib.h>
381 void *f() { return XOpenDisplay(0); }
382EOF
383 compile_object "$@"
384}
385
5514a050 386# see if we have c64_tools for TI C64x DSP
387check_c64_tools()
388{
389 cat > $TMPC <<EOF
390 #include <inc_libc64_mini.h>
391 int f() { return dsp_open(); }
392EOF
393 compile_object "$@"
394}
395
f89fa2d9 396MAIN_LDLIBS="$MAIN_LDLIBS -lz"
9f704290 397check_zlib || fail "please install zlib (libz-dev)"
f89fa2d9 398
f89fa2d9 399MAIN_LDLIBS="-lpng $MAIN_LDLIBS"
9f704290 400check_libpng || fail "please install libpng (libpng-dev)"
07c13dfd 401
402# find what audio support we can compile
403if [ "x$sound_drivers" = "x" ]; then
404 if check_oss; then sound_drivers="$sound_drivers oss"; fi
f89fa2d9 405 if check_alsa -lasound; then
406 sound_drivers="$sound_drivers alsa"
407 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
408 fi
b68bf5c2 409 if check_pulseaudio -lpulse; then
410 sound_drivers="$sound_drivers pulseaudio"
411 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
412 fi
9f704290 413 if [ "$need_sdl" = "yes" ] || check_sdl `sdl-config --cflags --libs`; then
f89fa2d9 414 sound_drivers="$sound_drivers sdl"
415 need_sdl="yes"
416 fi
417else
418 if echo $sound_drivers | grep -q "\<oss\>"; then
419 check_oss || fail "oss support is missing"
420 fi
421 if echo $sound_drivers | grep -q "\<alsa\>"; then
422 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
423 check_alsa || fail "please install libasound2-dev"
424 fi
b68bf5c2 425 if echo $sound_drivers | grep -q "\<pulseaudio\>"; then
426 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
427 check_pulseaudio || fail "pulseaudio support is missing"
428 fi
07c13dfd 429fi
430
9f704290 431if [ "$need_sdl" = "yes" ]; then
432 which sdl-config > /dev/null || \
433 fail "sdl-config is missing; please install libsdl (libsdl1.2-dev)"
f89fa2d9 434 CFLAGS="$CFLAGS `sdl-config --cflags`"
435 MAIN_LDLIBS="`sdl-config --libs` $MAIN_LDLIBS"
9f704290 436 check_sdl || fail "please install libsdl (libsdl1.2-dev)"
07c13dfd 437fi
438
4132e8ca 439# check for tslib (only headers needed)
440if [ "x$have_tslib" = "x" ]; then
441 cat > $TMPC <<EOF
442 #include <tslib.h>
443 void test(struct ts_sample sample) {}
444EOF
445 if compile_object; then
446 have_tslib="yes"
447 else
448 have_tslib="no"
449 fi
450fi
451
5b9aa749 452# check for VideoCore stuff for Raspberry Pi
ad6150e0 453if [ -d /opt/vc/include -a -d /opt/vc/lib -a "$VIDEOCORE" != "no" ]; then
237d1f6f 454 CFLAGS_GLES="$CFLAGS_GLES -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux"
5b9aa749 455 LDLIBS_GLES="$LDLIBS_GLES -L/opt/vc/lib"
cbcadc5f 456 if [ -f /opt/vc/lib/libbcm_host.so ]; then
457 LDLIBS_GLES="$LDLIBS_GLES -lbcm_host"
458 fi
955f9af0 459 need_xlib="yes"
ad6150e0 460 VIDEOCORE="yes"
5b9aa749 461fi
462
dd4d5a35 463# check for GLES headers
464cat > $TMPC <<EOF
465#include <GLES/gl.h>
dd4d5a35 466#include <EGL/egl.h>
5b9aa749 467int main(void) {
468 return (int)eglGetDisplay( (EGLNativeDisplayType)0 );
dd4d5a35 469}
470EOF
ad6150e0
CG
471if [ "$VIDEOCORE" = "yes" ] && compile_binary $CFLAGS_GLES -lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES; then
472 have_gles="yes"
473 LDLIBS_GLES="-lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES"
474elif compile_binary $CFLAGS_GLES -lEGL -lGLES_CM $LDLIBS_GLES; then
5b9aa749 475 have_gles="yes"
476 LDLIBS_GLES="-lEGL -lGLES_CM $LDLIBS_GLES"
477elif compile_binary $CFLAGS_GLES -lEGL -lGLESv1_CM $LDLIBS_GLES; then
478 have_gles="yes"
479 LDLIBS_GLES="-lEGL -lGLESv1_CM $LDLIBS_GLES"
dd4d5a35 480fi
481
5514a050 482if check_c64_tools; then
483 have_c64x_dsp="yes"
484fi
485
5b9aa749 486if [ "$have_gles" = "yes" ]; then
487 plugins="$plugins plugins/gpu-gles/gpu_gles.so"
488fi
61bc6d40 489if [ "$have_arm_neon" = "yes" -a "$builtin_gpu" != "neon" ]; then
490 plugins="$plugins plugins/gpu_neon/gpu_neon.so"
491fi
492
955f9af0 493# check for xlib (only headers needed)
494if [ "x$need_xlib" = "xyes" ]; then
495 check_xlib_headers || fail "please install libx11-dev"
496fi
497
cc376814 498sizeof_long=`check_define_val __SIZEOF_LONG__`
499if [ "x$sizeof_long" = "x4" ]; then
500 CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
501fi
502
9f704290 503cat > $TMPC <<EOF
504void test(void *f, void *d) { fread(d, 1, 1, f); }
505EOF
506if compile_object -Wno-unused-result; then
507 CFLAGS="$CFLAGS -Wno-unused-result"
508fi
509
dd4d5a35 510# short plugin list for display
511for p in $plugins; do
512 p1=`basename $p`
513 plugins_short="$p1 $plugins_short"
514done
515
4132e8ca 516# set things that failed to autodetect to "no"
517test "x$have_armv6" != "x" || have_armv6="no"
518test "x$have_armv7" != "x" || have_armv7="no"
519test "x$have_arm_neon" != "x" || have_arm_neon="no"
047899a4 520test "x$have_arm_neon_asm" != "x" || have_arm_neon_asm="no"
00a212aa 521test "x$have_gles" != "x" || have_gles="no"
5514a050 522test "x$have_c64x_dsp" != "x" || have_c64x_dsp="no"
4132e8ca 523
524echo "architecture $ARCH"
525echo "platform $platform"
61bc6d40 526echo "built-in GPU $builtin_gpu"
07c13dfd 527echo "sound drivers $sound_drivers"
dd4d5a35 528echo "plugins $plugins_short"
4132e8ca 529echo "C compiler $CC"
530echo "C compiler flags $CFLAGS"
07c13dfd 531echo "libraries $MAIN_LDLIBS"
22fa3f2b 532echo "linker flags $LDFLAGS$MAIN_LDFLAGS"
4132e8ca 533echo "enable dynarec $enable_dynarec"
047899a4 534if [ "$ARCH" = "arm" -o "$ARCH" = "aarch64" ]; then
535 echo "enable ARM NEON $have_arm_neon"
536fi
5514a050 537if [ "$ARCH" = "arm" ]; then
538 echo "ARMv7 optimizations $have_armv7"
5514a050 539 echo "TI C64x DSP support $have_c64x_dsp"
540fi
4132e8ca 541echo "tslib support $have_tslib"
2c616080 542if [ "$platform" = "generic" ]; then
543 echo "OpenGL ES output $have_gles"
544fi
4132e8ca 545
546echo "# Automatically generated by configure" > $config_mak
547printf "# Configured with:" >> $config_mak
548printf " '%s'" "$0" "$@" >> $config_mak
549echo >> $config_mak
550
551echo "CC = $CC" >> $config_mak
ac6575cd 552echo "CXX = $CXX" >> $config_mak
4132e8ca 553echo "AS = $AS" >> $config_mak
554echo "CFLAGS += $CFLAGS" >> $config_mak
555echo "ASFLAGS += $ASFLAGS" >> $config_mak
556echo "LDFLAGS += $LDFLAGS" >> $config_mak
22fa3f2b 557echo "MAIN_LDFLAGS += $MAIN_LDFLAGS" >> $config_mak
07c13dfd 558echo "MAIN_LDLIBS += $MAIN_LDLIBS" >> $config_mak
4132e8ca 559echo "PLUGIN_CFLAGS += $PLUGIN_CFLAGS" >> $config_mak
560echo >> $config_mak
561
38c2028e 562if [ "$platform" = "libretro" ]; then
563 echo "TARGET = libretro.so" >> $config_mak
564fi
4132e8ca 565echo "ARCH = $ARCH" >> $config_mak
566echo "PLATFORM = $platform" >> $config_mak
61bc6d40 567echo "BUILTIN_GPU = $builtin_gpu" >> $config_mak
07c13dfd 568echo "SOUND_DRIVERS = $sound_drivers" >> $config_mak
630b122b 569echo "PLUGINS = $plugins" >> $config_mak
4132e8ca 570if [ "$have_arm_neon" = "yes" ]; then
571 echo "HAVE_NEON = 1" >> $config_mak
572fi
047899a4 573if [ "$have_arm_neon_asm" = "yes" ]; then
574 echo "HAVE_NEON_ASM = 1" >> $config_mak
575fi
4132e8ca 576if [ "$have_tslib" = "yes" ]; then
577 echo "HAVE_TSLIB = 1" >> $config_mak
578fi
5b9aa749 579if [ "$have_gles" = "yes" ]; then
580 echo "HAVE_GLES = 1" >> $config_mak
581 echo "CFLAGS_GLES = $CFLAGS_GLES" >> $config_mak
582 echo "LDLIBS_GLES = $LDLIBS_GLES" >> $config_mak
583fi
4132e8ca 584if [ "$enable_dynarec" = "yes" ]; then
d659b045 585 echo "DYNAREC = ari64" >> $config_mak
4132e8ca 586fi
587if [ "$drc_cache_base" = "yes" ]; then
630b122b 588 echo "BASE_ADDR_DYNAMIC = 1" >> $config_mak
4132e8ca 589fi
5514a050 590if [ "$have_c64x_dsp" = "yes" ]; then
591 echo "HAVE_C64_TOOLS = 1" >> $config_mak
592fi
4132e8ca 593
2e6189bc 594# use pandora's skin (for now)
595test -e skin || ln -s frontend/pandora/skin skin
596
4132e8ca 597# vim:shiftwidth=2:expandtab